/*
	SPA : Tab
*/

;(function ( $, responsive ) {
	
	
	$(document).ready(function(){
		// init
		
		// Responsive L:PC, M:Tablet, S:Mobile
		var responsiveType = "L";
		responsive.addListener( 'resize-width', function (e) {
			responsiveType = e.responsiveType;
		});
		
		// Tab
		$('.sbpo [role="tab"]').keyup(function(e){
			var keyCode = e.keyCode || e.which;//키보드 코드값  
			if(keyCode == 39 || keyCode ==	40){// 오른쪽방향키 이거나 아래 방향키
				e.preventDefault();
				$(this).next().attr('aria-selected', true).addClass("on").siblings().removeClass("on").attr('aria-selected', false);
				$(this).next().find("a").focus();
			}
			if(keyCode == 37 || keyCode ==38){// 왼쪽방향키 이거나 위쪽 방향키
				e.preventDefault();
				$(this).prev().attr('aria-selected', true).addClass("on").siblings().removeClass("on").attr('aria-selected', false);
				$(this).prev().find("a").focus();

			}	
			if(keyCode == 35){//end 키를 눌렀을 때
				e.preventDefault();
				var tabLast = $(".tabBox .tabWrap .tabArea .tab").last();
				tabLast.attr('aria-selected', true).addClass("on").siblings().removeClass("on").attr('aria-selected', false);
				tabLast.find("a").focus();
			}
			if(keyCode == 36){//home키를 눌렀을 때
				e.preventDefault();
				var tabFirst = $(".tabBox .tabWrap .tabArea .tab").first();
				tabFirst.attr('aria-selected', true).addClass("on").siblings().removeClass("on").attr('aria-selected', false);
				tabFirst.find("a").focus();
			}

		});

		// tab 요소에 클릭 이벤트를 추가한다.
		$('.sbpo [role="tab"]').on('click', function(e) {
			e.preventDefault();
			var targetTab = $(this);
			var targetTabArea = targetTab.closest(".tabArea");
			var selectedId;
			var link = $(this).attr("href") || $(this).children("a").attr("href");
            var linkState = link.substring(0,1) == "#"? true:false;
			
			if(responsiveType === "M" || responsiveType === "S"){
				if($(targetTabArea).hasClass("open")){
					targetTab.attr('aria-selected', true).addClass("on").siblings().attr('aria-selected', false).removeClass("on");
					selectedId = "#"+targetTab.attr('aria-controls');

					$(selectedId).addClass('on').siblings().removeClass('on');

					targetTabArea.removeClass("open");

                    if(!linkState){
						document.location.href = link;
                    }
				} else {
					targetTabArea.addClass("open");
				}

			} else {
				targetTab.attr('aria-selected', true).addClass("on").siblings().attr('aria-selected', false).removeClass("on");
				selectedId = "#"+targetTab.attr('aria-controls');

				$(selectedId).addClass('on').siblings().removeClass('on');

                if(!linkState){
                    document.location.href = link;
                }
			}

		});
		
		$(".tabWrap").on("CLOSE_ALL_TAB",function(){
			var targetTabArea = $(this);
			var tabs = targetTabArea.find(".tab");
			var selectedId;

			tabs.each(function(){
				$(this).attr('aria-selected', false).removeClass("on");
				selectedId = "#"+$(this).attr('aria-controls');
				$(selectedId).removeClass("on");
				targetTabArea.removeClass("open");
			});
		});

		$(window).resize();
	});

})( jQuery, hmc.responsive );